> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://walmart.postmansolutions.com/us-marketplace/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://walmart.postmansolutions.com/us-marketplace/_mcp/server.

# Creates item labels for a given list of MSKUs.

POST https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/items/labels
Content-Type: application/json

Reference: https://walmart.postmansolutions.com/us-marketplace/api-reference/orders-fulfillment/fulfillment-inbound/wfs-inbound/create-marketplace-item-labels

## Servers

- `https://marketplace.walmart.com/seller/v1` (Production, default)
- `https://sandbox.marketplace.walmart.com/seller/v1` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a CreateMarketplaceItemLabelsRequest.

- `labelType` (enum, required) — Indicates the type of print type for a given label.
  - Allowed values: `STANDARD_FORMAT`, `THERMAL_PRINTING`
- `marketplaceId` (string, required) — The Walmart Marketplace ID. For a list of possible values, refer to [Marketplace IDs](https://developer-docs.walmart.com/seller-api/docs/marketplace-ids).
- `mskuQuantities` (list of MskuQuantity, required) — Represents the quantity of an MSKU to print item labels for.
- `height` (double, optional) — The height of the item label.
- `localeCode` (string, optional, default: en_US) — The locale code constructed from ISO 639 language code and ISO 3166-1 alpha-2 country codes separated by an underscore character.
- `pageType` (enum, optional) — The page type to use to print the labels.
  - Allowed values: `A4_21`, `A4_24`, `A4_24_64x33`, `A4_24_66x35`, `A4_24_70x36`, `A4_24_70x37`, `A4_24i`, `A4_27`, `A4_40_52x29`, `A4_44_48x25`, `Letter_30`
- `width` (double, optional) — The width of the item label.

## Response

### 200

Success

- `documentDownloads` (list of DocumentDownload, required) — Resources to download the requested document.

## Errors

### 400 Bad Request Error

Bad Request

- `errors` (list of Error, required) — List of errors.

### 403 Forbidden Error

Forbidden

- `errors` (list of Error, required) — List of errors.

### 404 Not Found Error

Not Found

- `errors` (list of Error, required) — List of errors.

### 429 Too Many Requests Error

Rate limit exceeded

- `errors` (list of Error, required) — List of errors.

### 500 Internal Server Error

Internal Server Error

- `errors` (list of Error, required) — List of errors.

## Types

### MskuQuantity

Represents an MSKU and the related quantity.

- `msku` (string, required) — The merchant SKU, a merchant-supplied identifier for a specific SKU.
- `quantity` (integer, required) — A positive integer.

### DocumentDownload

Resource to download the requested document.

- `downloadType` (string, required) — The type of download. Possible values: `URL`.
- `uri` (string, required) — Uniform resource identifier to identify where the document is located.
- `expiration` (datetime, optional) — The URI's expiration time. In ISO 8601 datetime format with pattern `yyyy-MM-ddTHH:mm:ss.sssZ`.

### Error

Error object containing information about what went wrong.

- `code` (string, required) — An error code that identifies the type of error that occurred.
- `message` (string, required) — A message that describes the error condition.
- `details` (string, optional) — Additional details that can help the caller understand or fix the issue.

## Examples

**Request**

```json
{
  "labelType": "STANDARD_FORMAT",
  "marketplaceId": "string",
  "mskuQuantities": [
    {
      "msku": "string",
      "quantity": 1
    }
  ]
}
```

**Response**

```json
{
  "documentDownloads": [
    {
      "downloadType": "string",
      "uri": "string",
      "expiration": "2024-01-15T09:30:00Z"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/items/labels"

payload = {
    "labelType": "STANDARD_FORMAT",
    "marketplaceId": "string",
    "mskuQuantities": [
        {
            "msku": "string",
            "quantity": 1
        }
    ]
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/items/labels';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"labelType":"STANDARD_FORMAT","marketplaceId":"string","mskuQuantities":[{"msku":"string","quantity":1}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/items/labels"

	payload := strings.NewReader("{\n  \"labelType\": \"STANDARD_FORMAT\",\n  \"marketplaceId\": \"string\",\n  \"mskuQuantities\": [\n    {\n      \"msku\": \"string\",\n      \"quantity\": 1\n    }\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/items/labels")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"labelType\": \"STANDARD_FORMAT\",\n  \"marketplaceId\": \"string\",\n  \"mskuQuantities\": [\n    {\n      \"msku\": \"string\",\n      \"quantity\": 1\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/items/labels")
  .header("Content-Type", "application/json")
  .body("{\n  \"labelType\": \"STANDARD_FORMAT\",\n  \"marketplaceId\": \"string\",\n  \"mskuQuantities\": [\n    {\n      \"msku\": \"string\",\n      \"quantity\": 1\n    }\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/items/labels', [
  'body' => '{
  "labelType": "STANDARD_FORMAT",
  "marketplaceId": "string",
  "mskuQuantities": [
    {
      "msku": "string",
      "quantity": 1
    }
  ]
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/items/labels");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"labelType\": \"STANDARD_FORMAT\",\n  \"marketplaceId\": \"string\",\n  \"mskuQuantities\": [\n    {\n      \"msku\": \"string\",\n      \"quantity\": 1\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [
  "labelType": "STANDARD_FORMAT",
  "marketplaceId": "string",
  "mskuQuantities": [
    [
      "msku": "string",
      "quantity": 1
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/items/labels")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```